package nc.vo.th.bonus;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class BonusVO extends SuperVO {
/**
*审批时间
*/
public UFDateTime approvedate;
/**
*审批批语
*/
public String approvenote;
/**
*审批人
*/
public String approver;
/**
*审批状态
*/
public Integer approvestatus;
/**
*单据日期
*/
public static final String BILLDATE="billdate";
/**
*制单人
*/
public String billmaker;
/**
*单据类型
*/
public String billtype;
/**
*单据版本pk
*/
public String billversionpk;
/**
*业务类型
*/
public String busitype;
/**
*员工号
*/
public static final String CLERKCODE="clerkcode";
/**
*姓名
*/
public static final String CLERKNAME="clerkname";
/**
*单据号
*/
public static final String CODE="code";
/**
*成本归属公司
*/
public static final String COST_CORP="cost_corp";
/**
*成本归属部门
*/
public static final String COST_DEPT="cost_dept";
/**
*创建时间
*/
public static final String CREATIONTIME="creationtime";
/**
*创建人
*/
public static final String CREATOR="creator";
/**
*修订枚举
*/
public Integer emendenum;
/**
*后勤职能人员奖金20
*/
public static final String FUNCTION_BONUS="function_bonus";
/**
*公司级管理者保底补差24
*/
public static final String MANAGE_BDAMOUNT="manage_bdamount";
/**
*公司级管理者计算奖金23
*/
public static final String MANAGE_JSBONUS="manage_jsbonus";
/**
*修改时间
*/
public static final String MODIFIEDTIME="modifiedtime";
/**
*修改人
*/
public static final String MODIFIER="modifier";
/**
*单据类型pk
*/
public String pk_billtypeid;
/**
*主键
*/
public static final String PK_BONUS="pk_bonus";
/**
*集团
*/
public static final String PK_GROUP="pk_group";
/**
*组织
*/
public static final String PK_ORG="pk_org";
/**
*组织版本
*/
public static final String PK_ORG_V="pk_org_v";
/**
*岗位
*/
public static final String POSTNAME="postname";
/**
*分红25
*/
public static final String SHARE_BONUS="share_bonus";
/**
*来源单据id
*/
public String srcbillid;
/**
*来源单据类型
*/
public String srcbilltype;
/**
*激励类型
*/
public static final String STIMULATE_TYPE="stimulate_type";
/**
*交易类型
*/
public String transtype;
/**
*交易类型pk
*/
public String transtypepk;
/**
*时间戳
*/
public static final String TS="ts";
/**
*自定义项1
*/
public static final String VDEF1="vdef1";
/**
*自定义项10
*/
public static final String VDEF10="vdef10";
/**
*自定义项11
*/
public static final String VDEF11="vdef11";
/**
*自定义项12
*/
public static final String VDEF12="vdef12";
/**
*自定义项13
*/
public static final String VDEF13="vdef13";
/**
*自定义项14
*/
public static final String VDEF14="vdef14";
/**
*自定义项15
*/
public static final String VDEF15="vdef15";
/**
*自定义项16
*/
public static final String VDEF16="vdef16";
/**
*自定义项17
*/
public static final String VDEF17="vdef17";
/**
*自定义项18
*/
public static final String VDEF18="vdef18";
/**
*自定义项19
*/
public static final String VDEF19="vdef19";
/**
*自定义项2
*/
public static final String VDEF2="vdef2";
/**
*自定义项20
*/
public static final String VDEF20="vdef20";
/**
*自定义项3
*/
public static final String VDEF3="vdef3";
/**
*自定义项4
*/
public static final String VDEF4="vdef4";
/**
*自定义项5
*/
public static final String VDEF5="vdef5";
/**
*自定义项6
*/
public static final String VDEF6="vdef6";
/**
*自定义项7
*/
public static final String VDEF7="vdef7";
/**
*自定义项8
*/
public static final String VDEF8="vdef8";
/**
*自定义项9
*/
public static final String VDEF9="vdef9";
/**
*工作周期开始
*/
public static final String WORKCYCLE_BEGIN="workcycle_begin";
/**
*工作周期结束
*/
public static final String WORKCYCLE_END="workcycle_end";
/**
*已发放收入总计
*/
public static final String YFINCOME_TOTAL="yfincome_total";
/** 
* 获取审批时间
*
* @return 审批时间
*/
public UFDateTime getApprovedate () {
return this.approvedate;
 } 

/** 
* 设置审批时间
*
* @param approvedate 审批时间
*/
public void setApprovedate ( UFDateTime approvedate) {
this.approvedate=approvedate;
 } 

/** 
* 获取审批批语
*
* @return 审批批语
*/
public String getApprovenote () {
return this.approvenote;
 } 

/** 
* 设置审批批语
*
* @param approvenote 审批批语
*/
public void setApprovenote ( String approvenote) {
this.approvenote=approvenote;
 } 

/** 
* 获取审批人
*
* @return 审批人
*/
public String getApprover () {
return this.approver;
 } 

/** 
* 设置审批人
*
* @param approver 审批人
*/
public void setApprover ( String approver) {
this.approver=approver;
 } 

/** 
* 获取审批状态
*
* @return 审批状态
* @see String
*/
public Integer getApprovestatus () {
return this.approvestatus;
 } 

/** 
* 设置审批状态
*
* @param approvestatus 审批状态
* @see String
*/
public void setApprovestatus ( Integer approvestatus) {
this.approvestatus=approvestatus;
 } 

/** 
* 获取单据日期
*
* @return 单据日期
*/
public UFDate getBilldate () {
return (UFDate) this.getAttributeValue( BonusVO.BILLDATE);
 } 

/** 
* 设置单据日期
*
* @param billdate 单据日期
*/
public void setBilldate ( UFDate billdate) {
this.setAttributeValue( BonusVO.BILLDATE,billdate);
 } 

/** 
* 获取制单人
*
* @return 制单人
*/
public String getBillmaker () {
return this.billmaker;
 } 

/** 
* 设置制单人
*
* @param billmaker 制单人
*/
public void setBillmaker ( String billmaker) {
this.billmaker=billmaker;
 } 

/** 
* 获取单据类型
*
* @return 单据类型
*/
public String getBilltype () {
return this.billtype;
 } 

/** 
* 设置单据类型
*
* @param billtype 单据类型
*/
public void setBilltype ( String billtype) {
this.billtype=billtype;
 } 

/** 
* 获取单据版本pk
*
* @return 单据版本pk
*/
public String getBillversionpk () {
return this.billversionpk;
 } 

/** 
* 设置单据版本pk
*
* @param billversionpk 单据版本pk
*/
public void setBillversionpk ( String billversionpk) {
this.billversionpk=billversionpk;
 } 

/** 
* 获取业务类型
*
* @return 业务类型
*/
public String getBusitype () {
return this.busitype;
 } 

/** 
* 设置业务类型
*
* @param busitype 业务类型
*/
public void setBusitype ( String busitype) {
this.busitype=busitype;
 } 

/** 
* 获取员工号
*
* @return 员工号
*/
public String getClerkcode () {
return (String) this.getAttributeValue( BonusVO.CLERKCODE);
 } 

/** 
* 设置员工号
*
* @param clerkcode 员工号
*/
public void setClerkcode ( String clerkcode) {
this.setAttributeValue( BonusVO.CLERKCODE,clerkcode);
 } 

/** 
* 获取姓名
*
* @return 姓名
*/
public String getClerkname () {
return (String) this.getAttributeValue( BonusVO.CLERKNAME);
 } 

/** 
* 设置姓名
*
* @param clerkname 姓名
*/
public void setClerkname ( String clerkname) {
this.setAttributeValue( BonusVO.CLERKNAME,clerkname);
 } 

/** 
* 获取单据号
*
* @return 单据号
*/
public String getCode () {
return (String) this.getAttributeValue( BonusVO.CODE);
 } 

/** 
* 设置单据号
*
* @param code 单据号
*/
public void setCode ( String code) {
this.setAttributeValue( BonusVO.CODE,code);
 } 

/** 
* 获取成本归属公司
*
* @return 成本归属公司
*/
public String getCost_corp () {
return (String) this.getAttributeValue( BonusVO.COST_CORP);
 } 

/** 
* 设置成本归属公司
*
* @param cost_corp 成本归属公司
*/
public void setCost_corp ( String cost_corp) {
this.setAttributeValue( BonusVO.COST_CORP,cost_corp);
 } 

/** 
* 获取成本归属部门
*
* @return 成本归属部门
*/
public String getCost_dept () {
return (String) this.getAttributeValue( BonusVO.COST_DEPT);
 } 

/** 
* 设置成本归属部门
*
* @param cost_dept 成本归属部门
*/
public void setCost_dept ( String cost_dept) {
this.setAttributeValue( BonusVO.COST_DEPT,cost_dept);
 } 

/** 
* 获取创建时间
*
* @return 创建时间
*/
public UFDateTime getCreationtime () {
return (UFDateTime) this.getAttributeValue( BonusVO.CREATIONTIME);
 } 

/** 
* 设置创建时间
*
* @param creationtime 创建时间
*/
public void setCreationtime ( UFDateTime creationtime) {
this.setAttributeValue( BonusVO.CREATIONTIME,creationtime);
 } 

/** 
* 获取创建人
*
* @return 创建人
*/
public String getCreator () {
return (String) this.getAttributeValue( BonusVO.CREATOR);
 } 

/** 
* 设置创建人
*
* @param creator 创建人
*/
public void setCreator ( String creator) {
this.setAttributeValue( BonusVO.CREATOR,creator);
 } 

/** 
* 获取修订枚举
*
* @return 修订枚举
*/
public Integer getEmendenum () {
return this.emendenum;
 } 

/** 
* 设置修订枚举
*
* @param emendenum 修订枚举
*/
public void setEmendenum ( Integer emendenum) {
this.emendenum=emendenum;
 } 

/** 
* 获取后勤职能人员奖金20
*
* @return 后勤职能人员奖金20
*/
public UFDouble getFunction_bonus () {
return (UFDouble) this.getAttributeValue( BonusVO.FUNCTION_BONUS);
 } 

/** 
* 设置后勤职能人员奖金20
*
* @param function_bonus 后勤职能人员奖金20
*/
public void setFunction_bonus ( UFDouble function_bonus) {
this.setAttributeValue( BonusVO.FUNCTION_BONUS,function_bonus);
 } 

/** 
* 获取公司级管理者保底补差24
*
* @return 公司级管理者保底补差24
*/
public UFDouble getManage_bdamount () {
return (UFDouble) this.getAttributeValue( BonusVO.MANAGE_BDAMOUNT);
 } 

/** 
* 设置公司级管理者保底补差24
*
* @param manage_bdamount 公司级管理者保底补差24
*/
public void setManage_bdamount ( UFDouble manage_bdamount) {
this.setAttributeValue( BonusVO.MANAGE_BDAMOUNT,manage_bdamount);
 } 

/** 
* 获取公司级管理者计算奖金23
*
* @return 公司级管理者计算奖金23
*/
public UFDouble getManage_jsbonus () {
return (UFDouble) this.getAttributeValue( BonusVO.MANAGE_JSBONUS);
 } 

/** 
* 设置公司级管理者计算奖金23
*
* @param manage_jsbonus 公司级管理者计算奖金23
*/
public void setManage_jsbonus ( UFDouble manage_jsbonus) {
this.setAttributeValue( BonusVO.MANAGE_JSBONUS,manage_jsbonus);
 } 

/** 
* 获取修改时间
*
* @return 修改时间
*/
public UFDateTime getModifiedtime () {
return (UFDateTime) this.getAttributeValue( BonusVO.MODIFIEDTIME);
 } 

/** 
* 设置修改时间
*
* @param modifiedtime 修改时间
*/
public void setModifiedtime ( UFDateTime modifiedtime) {
this.setAttributeValue( BonusVO.MODIFIEDTIME,modifiedtime);
 } 

/** 
* 获取修改人
*
* @return 修改人
*/
public String getModifier () {
return (String) this.getAttributeValue( BonusVO.MODIFIER);
 } 

/** 
* 设置修改人
*
* @param modifier 修改人
*/
public void setModifier ( String modifier) {
this.setAttributeValue( BonusVO.MODIFIER,modifier);
 } 

/** 
* 获取单据类型pk
*
* @return 单据类型pk
*/
public String getPk_billtypeid () {
return this.pk_billtypeid;
 } 

/** 
* 设置单据类型pk
*
* @param pk_billtypeid 单据类型pk
*/
public void setPk_billtypeid ( String pk_billtypeid) {
this.pk_billtypeid=pk_billtypeid;
 } 

/** 
* 获取主键
*
* @return 主键
*/
public String getPk_bonus () {
return (String) this.getAttributeValue( BonusVO.PK_BONUS);
 } 

/** 
* 设置主键
*
* @param pk_bonus 主键
*/
public void setPk_bonus ( String pk_bonus) {
this.setAttributeValue( BonusVO.PK_BONUS,pk_bonus);
 } 

/** 
* 获取集团
*
* @return 集团
*/
public String getPk_group () {
return (String) this.getAttributeValue( BonusVO.PK_GROUP);
 } 

/** 
* 设置集团
*
* @param pk_group 集团
*/
public void setPk_group ( String pk_group) {
this.setAttributeValue( BonusVO.PK_GROUP,pk_group);
 } 

/** 
* 获取组织
*
* @return 组织
*/
public String getPk_org () {
return (String) this.getAttributeValue( BonusVO.PK_ORG);
 } 

/** 
* 设置组织
*
* @param pk_org 组织
*/
public void setPk_org ( String pk_org) {
this.setAttributeValue( BonusVO.PK_ORG,pk_org);
 } 

/** 
* 获取组织版本
*
* @return 组织版本
*/
public String getPk_org_v () {
return (String) this.getAttributeValue( BonusVO.PK_ORG_V);
 } 

/** 
* 设置组织版本
*
* @param pk_org_v 组织版本
*/
public void setPk_org_v ( String pk_org_v) {
this.setAttributeValue( BonusVO.PK_ORG_V,pk_org_v);
 } 

/** 
* 获取岗位
*
* @return 岗位
*/
public String getPostname () {
return (String) this.getAttributeValue( BonusVO.POSTNAME);
 } 

/** 
* 设置岗位
*
* @param postname 岗位
*/
public void setPostname ( String postname) {
this.setAttributeValue( BonusVO.POSTNAME,postname);
 } 

/** 
* 获取分红25
*
* @return 分红25
*/
public UFDouble getShare_bonus () {
return (UFDouble) this.getAttributeValue( BonusVO.SHARE_BONUS);
 } 

/** 
* 设置分红25
*
* @param share_bonus 分红25
*/
public void setShare_bonus ( UFDouble share_bonus) {
this.setAttributeValue( BonusVO.SHARE_BONUS,share_bonus);
 } 

/** 
* 获取来源单据id
*
* @return 来源单据id
*/
public String getSrcbillid () {
return this.srcbillid;
 } 

/** 
* 设置来源单据id
*
* @param srcbillid 来源单据id
*/
public void setSrcbillid ( String srcbillid) {
this.srcbillid=srcbillid;
 } 

/** 
* 获取来源单据类型
*
* @return 来源单据类型
*/
public String getSrcbilltype () {
return this.srcbilltype;
 } 

/** 
* 设置来源单据类型
*
* @param srcbilltype 来源单据类型
*/
public void setSrcbilltype ( String srcbilltype) {
this.srcbilltype=srcbilltype;
 } 

/** 
* 获取激励类型
*
* @return 激励类型
*/
public String getStimulate_type () {
return (String) this.getAttributeValue( BonusVO.STIMULATE_TYPE);
 } 

/** 
* 设置激励类型
*
* @param stimulate_type 激励类型
*/
public void setStimulate_type ( String stimulate_type) {
this.setAttributeValue( BonusVO.STIMULATE_TYPE,stimulate_type);
 } 

/** 
* 获取交易类型
*
* @return 交易类型
*/
public String getTranstype () {
return this.transtype;
 } 

/** 
* 设置交易类型
*
* @param transtype 交易类型
*/
public void setTranstype ( String transtype) {
this.transtype=transtype;
 } 

/** 
* 获取交易类型pk
*
* @return 交易类型pk
*/
public String getTranstypepk () {
return this.transtypepk;
 } 

/** 
* 设置交易类型pk
*
* @param transtypepk 交易类型pk
*/
public void setTranstypepk ( String transtypepk) {
this.transtypepk=transtypepk;
 } 

/** 
* 获取时间戳
*
* @return 时间戳
*/
public UFDateTime getTs () {
return (UFDateTime) this.getAttributeValue( BonusVO.TS);
 } 

/** 
* 设置时间戳
*
* @param ts 时间戳
*/
public void setTs ( UFDateTime ts) {
this.setAttributeValue( BonusVO.TS,ts);
 } 

/** 
* 获取自定义项1
*
* @return 自定义项1
*/
public String getVdef1 () {
return (String) this.getAttributeValue( BonusVO.VDEF1);
 } 

/** 
* 设置自定义项1
*
* @param vdef1 自定义项1
*/
public void setVdef1 ( String vdef1) {
this.setAttributeValue( BonusVO.VDEF1,vdef1);
 } 

/** 
* 获取自定义项10
*
* @return 自定义项10
*/
public String getVdef10 () {
return (String) this.getAttributeValue( BonusVO.VDEF10);
 } 

/** 
* 设置自定义项10
*
* @param vdef10 自定义项10
*/
public void setVdef10 ( String vdef10) {
this.setAttributeValue( BonusVO.VDEF10,vdef10);
 } 

/** 
* 获取自定义项11
*
* @return 自定义项11
*/
public String getVdef11 () {
return (String) this.getAttributeValue( BonusVO.VDEF11);
 } 

/** 
* 设置自定义项11
*
* @param vdef11 自定义项11
*/
public void setVdef11 ( String vdef11) {
this.setAttributeValue( BonusVO.VDEF11,vdef11);
 } 

/** 
* 获取自定义项12
*
* @return 自定义项12
*/
public String getVdef12 () {
return (String) this.getAttributeValue( BonusVO.VDEF12);
 } 

/** 
* 设置自定义项12
*
* @param vdef12 自定义项12
*/
public void setVdef12 ( String vdef12) {
this.setAttributeValue( BonusVO.VDEF12,vdef12);
 } 

/** 
* 获取自定义项13
*
* @return 自定义项13
*/
public String getVdef13 () {
return (String) this.getAttributeValue( BonusVO.VDEF13);
 } 

/** 
* 设置自定义项13
*
* @param vdef13 自定义项13
*/
public void setVdef13 ( String vdef13) {
this.setAttributeValue( BonusVO.VDEF13,vdef13);
 } 

/** 
* 获取自定义项14
*
* @return 自定义项14
*/
public String getVdef14 () {
return (String) this.getAttributeValue( BonusVO.VDEF14);
 } 

/** 
* 设置自定义项14
*
* @param vdef14 自定义项14
*/
public void setVdef14 ( String vdef14) {
this.setAttributeValue( BonusVO.VDEF14,vdef14);
 } 

/** 
* 获取自定义项15
*
* @return 自定义项15
*/
public String getVdef15 () {
return (String) this.getAttributeValue( BonusVO.VDEF15);
 } 

/** 
* 设置自定义项15
*
* @param vdef15 自定义项15
*/
public void setVdef15 ( String vdef15) {
this.setAttributeValue( BonusVO.VDEF15,vdef15);
 } 

/** 
* 获取自定义项16
*
* @return 自定义项16
*/
public String getVdef16 () {
return (String) this.getAttributeValue( BonusVO.VDEF16);
 } 

/** 
* 设置自定义项16
*
* @param vdef16 自定义项16
*/
public void setVdef16 ( String vdef16) {
this.setAttributeValue( BonusVO.VDEF16,vdef16);
 } 

/** 
* 获取自定义项17
*
* @return 自定义项17
*/
public String getVdef17 () {
return (String) this.getAttributeValue( BonusVO.VDEF17);
 } 

/** 
* 设置自定义项17
*
* @param vdef17 自定义项17
*/
public void setVdef17 ( String vdef17) {
this.setAttributeValue( BonusVO.VDEF17,vdef17);
 } 

/** 
* 获取自定义项18
*
* @return 自定义项18
*/
public String getVdef18 () {
return (String) this.getAttributeValue( BonusVO.VDEF18);
 } 

/** 
* 设置自定义项18
*
* @param vdef18 自定义项18
*/
public void setVdef18 ( String vdef18) {
this.setAttributeValue( BonusVO.VDEF18,vdef18);
 } 

/** 
* 获取自定义项19
*
* @return 自定义项19
*/
public String getVdef19 () {
return (String) this.getAttributeValue( BonusVO.VDEF19);
 } 

/** 
* 设置自定义项19
*
* @param vdef19 自定义项19
*/
public void setVdef19 ( String vdef19) {
this.setAttributeValue( BonusVO.VDEF19,vdef19);
 } 

/** 
* 获取自定义项2
*
* @return 自定义项2
*/
public String getVdef2 () {
return (String) this.getAttributeValue( BonusVO.VDEF2);
 } 

/** 
* 设置自定义项2
*
* @param vdef2 自定义项2
*/
public void setVdef2 ( String vdef2) {
this.setAttributeValue( BonusVO.VDEF2,vdef2);
 } 

/** 
* 获取自定义项20
*
* @return 自定义项20
*/
public String getVdef20 () {
return (String) this.getAttributeValue( BonusVO.VDEF20);
 } 

/** 
* 设置自定义项20
*
* @param vdef20 自定义项20
*/
public void setVdef20 ( String vdef20) {
this.setAttributeValue( BonusVO.VDEF20,vdef20);
 } 

/** 
* 获取自定义项3
*
* @return 自定义项3
*/
public String getVdef3 () {
return (String) this.getAttributeValue( BonusVO.VDEF3);
 } 

/** 
* 设置自定义项3
*
* @param vdef3 自定义项3
*/
public void setVdef3 ( String vdef3) {
this.setAttributeValue( BonusVO.VDEF3,vdef3);
 } 

/** 
* 获取自定义项4
*
* @return 自定义项4
*/
public String getVdef4 () {
return (String) this.getAttributeValue( BonusVO.VDEF4);
 } 

/** 
* 设置自定义项4
*
* @param vdef4 自定义项4
*/
public void setVdef4 ( String vdef4) {
this.setAttributeValue( BonusVO.VDEF4,vdef4);
 } 

/** 
* 获取自定义项5
*
* @return 自定义项5
*/
public String getVdef5 () {
return (String) this.getAttributeValue( BonusVO.VDEF5);
 } 

/** 
* 设置自定义项5
*
* @param vdef5 自定义项5
*/
public void setVdef5 ( String vdef5) {
this.setAttributeValue( BonusVO.VDEF5,vdef5);
 } 

/** 
* 获取自定义项6
*
* @return 自定义项6
*/
public String getVdef6 () {
return (String) this.getAttributeValue( BonusVO.VDEF6);
 } 

/** 
* 设置自定义项6
*
* @param vdef6 自定义项6
*/
public void setVdef6 ( String vdef6) {
this.setAttributeValue( BonusVO.VDEF6,vdef6);
 } 

/** 
* 获取自定义项7
*
* @return 自定义项7
*/
public String getVdef7 () {
return (String) this.getAttributeValue( BonusVO.VDEF7);
 } 

/** 
* 设置自定义项7
*
* @param vdef7 自定义项7
*/
public void setVdef7 ( String vdef7) {
this.setAttributeValue( BonusVO.VDEF7,vdef7);
 } 

/** 
* 获取自定义项8
*
* @return 自定义项8
*/
public String getVdef8 () {
return (String) this.getAttributeValue( BonusVO.VDEF8);
 } 

/** 
* 设置自定义项8
*
* @param vdef8 自定义项8
*/
public void setVdef8 ( String vdef8) {
this.setAttributeValue( BonusVO.VDEF8,vdef8);
 } 

/** 
* 获取自定义项9
*
* @return 自定义项9
*/
public String getVdef9 () {
return (String) this.getAttributeValue( BonusVO.VDEF9);
 } 

/** 
* 设置自定义项9
*
* @param vdef9 自定义项9
*/
public void setVdef9 ( String vdef9) {
this.setAttributeValue( BonusVO.VDEF9,vdef9);
 } 

/** 
* 获取工作周期开始
*
* @return 工作周期开始
*/
public String getWorkcycle_begin () {
return (String) this.getAttributeValue( BonusVO.WORKCYCLE_BEGIN);
 } 

/** 
* 设置工作周期开始
*
* @param workcycle_begin 工作周期开始
*/
public void setWorkcycle_begin ( String workcycle_begin) {
this.setAttributeValue( BonusVO.WORKCYCLE_BEGIN,workcycle_begin);
 } 

/** 
* 获取工作周期结束
*
* @return 工作周期结束
*/
public String getWorkcycle_end () {
return (String) this.getAttributeValue( BonusVO.WORKCYCLE_END);
 } 

/** 
* 设置工作周期结束
*
* @param workcycle_end 工作周期结束
*/
public void setWorkcycle_end ( String workcycle_end) {
this.setAttributeValue( BonusVO.WORKCYCLE_END,workcycle_end);
 } 

/** 
* 获取已发放收入总计
*
* @return 已发放收入总计
*/
public UFDouble getYfincome_total () {
return (UFDouble) this.getAttributeValue( BonusVO.YFINCOME_TOTAL);
 } 

/** 
* 设置已发放收入总计
*
* @param yfincome_total 已发放收入总计
*/
public void setYfincome_total ( UFDouble yfincome_total) {
this.setAttributeValue( BonusVO.YFINCOME_TOTAL,yfincome_total);
 } 


  @Override
  public IVOMeta getMetaData() {
    return VOMetaFactory.getInstance().getVOMeta("th.th_bonusVO");
  }
}